Summary: Snort Log Backend 
Name: barnyard
Version: 0.2.0
Release: fc2_2
Copyright: GPL
Group: Applications/Internet
Source0: http://www.snort.org/Files/%{name}-%{version}.tar.gz
Source2: barnyard.config
Source3: barnyard
Url: http://www.snort.org
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Ralf Spenneberg <ralf@spenneberg.de> - OpenSource Security

%description
Barnyard has 3 modes of operation:
One-shot, continual, continual w/ checkpoint.  In one-shot mode,
barnyard will process the specified file and exit.  In continual mode,
barnyard will start with the specified file and continue to process
new data (and new spool files) as it appears.  Continual mode w/
checkpointing will also use a checkpoint file (or waldo file in the
snort world) to track where it is.  In the event the barnyard process
ends while a waldo file is in use, barnyard will resume processing at
the last entry as listed in the waldo file.

%prep
%setup -q -n %{name}-%{version} -c

%build
#CFLAGS="$RPM_OPT_FLAGS" \
cd barnyard-%{version}
./configure --prefix=/usr --bindir=/usr/sbin --sysconfdir=/etc/snort --enable-mysql --enable-postgresql
make

%install
cd barnyard-%{version}
make prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/usr/sbin sysconfdir=$RPM_BUILD_ROOT/etc/snort mandir=$RPM_BUILD_ROOT/usr/share/man install
mv AUTHORS COPYING README LICENSE.QPL ..
mv docs ..
rm -rf  $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mv etc $RPM_BUILD_ROOT/etc/snort
cp $RPM_SOURCE_DIR/barnyard.config $RPM_BUILD_ROOT/etc/sysconfig/barnyard
cp $RPM_SOURCE_DIR/barnyard $RPM_BUILD_ROOT/etc/init.d/barnyard
%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/barnyard-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi
						


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README LICENSE.QPL docs/
%attr(755,root,root)       /usr/sbin/*
%attr(640,root,wheel) %config /etc/snort/barnyard.conf
%attr(640,root,wheel) %config /etc/init.d/barnyard
%attr(640,root,wheel) %config /etc/sysconfig/barnyard

%changelog
* Sat Sep 04 2004 Ralf Spenneberg <ralf@spenneberg.net>
- Added functionality to run barnyard in different user context

* Sat Sep 04 2004 Ralf Spenneberg <ralf@spenneberg.net>
- migrated to Barnyard 0.2.0 and Fedora Core 2

* Sun Apr 13 2003 Ralf Spenneberg <ralf@spenneberg.net>
- changed numbering scheme to reflect RH 8.0

* Wed Apr 09 2003 Ralf Spenneberg <ralf@spenneberg.net>
- based on Barnyard Final Release 0.1.0

* Tue Oct 22 2002 Ralf Spenneberg <ralf@spenneberg.de>
- based on Barnyard Release Candidate 3
- built on RedHat 8.0

* Wed Jul 24 2002 Ralf Spenneberg <ralf@spenneberg.de>
- based on Barnyard Release Candidate 2
- removed classification.config gen-msg.map sid-msg.map

* Sat Apr 06 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Based on Barnyard Beta 4
- Created barnyard rpm

